//line php5/php5.y:2
package php5

import __yyfmt__ "fmt"

//line php5/php5.y:2
import (
	//    "strings"
	//    "strconv"

	"github.com/z7zmey/php-parser/node"
	"github.com/z7zmey/php-parser/node/expr"
	"github.com/z7zmey/php-parser/node/name"
	"github.com/z7zmey/php-parser/node/scalar"
	"github.com/z7zmey/php-parser/node/stmt"
	"github.com/z7zmey/php-parser/token"

//    "github.com/z7zmey/php-parser/node/expr/assign_op"
//    "github.com/z7zmey/php-parser/node/expr/binary_op"
//    "github.com/z7zmey/php-parser/node/expr/cast"
)

//line php5/php5.y:21
type yySymType struct {
	yys   int
	node  node.Node
	token token.Token
	//    boolWithToken boolWithToken
	list []node.Node
	//    foreachVariable foreachVariable
	//    nodesWithEndToken *nodesWithEndToken
	//    str string
}

const T_INCLUDE = 57346
const T_INCLUDE_ONCE = 57347
const T_EXIT = 57348
const T_IF = 57349
const T_LNUMBER = 57350
const T_DNUMBER = 57351
const T_STRING = 57352
const T_STRING_VARNAME = 57353
const T_VARIABLE = 57354
const T_NUM_STRING = 57355
const T_INLINE_HTML = 57356
const T_CHARACTER = 57357
const T_BAD_CHARACTER = 57358
const T_ENCAPSED_AND_WHITESPACE = 57359
const T_CONSTANT_ENCAPSED_STRING = 57360
const T_ECHO = 57361
const T_DO = 57362
const T_WHILE = 57363
const T_ENDWHILE = 57364
const T_FOR = 57365
const T_ENDFOR = 57366
const T_FOREACH = 57367
const T_ENDFOREACH = 57368
const T_DECLARE = 57369
const T_ENDDECLARE = 57370
const T_AS = 57371
const T_SWITCH = 57372
const T_ENDSWITCH = 57373
const T_CASE = 57374
const T_DEFAULT = 57375
const T_BREAK = 57376
const T_CONTINUE = 57377
const T_GOTO = 57378
const T_FUNCTION = 57379
const T_CONST = 57380
const T_RETURN = 57381
const T_TRY = 57382
const T_CATCH = 57383
const T_FINALLY = 57384
const T_THROW = 57385
const T_USE = 57386
const T_INSTEADOF = 57387
const T_GLOBAL = 57388
const T_VAR = 57389
const T_UNSET = 57390
const T_ISSET = 57391
const T_EMPTY = 57392
const T_HALT_COMPILER = 57393
const T_CLASS = 57394
const T_TRAIT = 57395
const T_INTERFACE = 57396
const T_EXTENDS = 57397
const T_IMPLEMENTS = 57398
const T_OBJECT_OPERATOR = 57399
const T_DOUBLE_ARROW = 57400
const T_LIST = 57401
const T_ARRAY = 57402
const T_CALLABLE = 57403
const T_CLASS_C = 57404
const T_TRAIT_C = 57405
const T_METHOD_C = 57406
const T_FUNC_C = 57407
const T_LINE = 57408
const T_FILE = 57409
const T_COMMENT = 57410
const T_DOC_COMMENT = 57411
const T_OPEN_TAG = 57412
const T_OPEN_TAG_WITH_ECHO = 57413
const T_CLOSE_TAG = 57414
const T_WHITESPACE = 57415
const T_START_HEREDOC = 57416
const T_END_HEREDOC = 57417
const T_DOLLAR_OPEN_CURLY_BRACES = 57418
const T_CURLY_OPEN = 57419
const T_PAAMAYIM_NEKUDOTAYIM = 57420
const T_NAMESPACE = 57421
const T_NS_C = 57422
const T_DIR = 57423
const T_NS_SEPARATOR = 57424
const T_ELLIPSIS = 57425
const T_EVAL = 57426
const T_REQUIRE = 57427
const T_REQUIRE_ONCE = 57428
const T_LOGICAL_OR = 57429
const T_LOGICAL_XOR = 57430
const T_LOGICAL_AND = 57431
const T_INSTANCEOF = 57432
const T_NEW = 57433
const T_CLONE = 57434
const T_ELSEIF = 57435
const T_ELSE = 57436
const T_ENDIF = 57437
const T_PRINT = 57438
const T_YIELD = 57439
const T_STATIC = 57440
const T_ABSTRACT = 57441
const T_FINAL = 57442
const T_PRIVATE = 57443
const T_PROTECTED = 57444
const T_PUBLIC = 57445
const T_INC = 57446
const T_DEC = 57447
const T_YIELD_FROM = 57448
const T_INT_CAST = 57449
const T_DOUBLE_CAST = 57450
const T_STRING_CAST = 57451
const T_ARRAY_CAST = 57452
const T_OBJECT_CAST = 57453
const T_BOOL_CAST = 57454
const T_UNSET_CAST = 57455
const T_COALESCE = 57456
const T_SPACESHIP = 57457
const T_NOELSE = 57458
const T_PLUS_EQUAL = 57459
const T_MINUS_EQUAL = 57460
const T_MUL_EQUAL = 57461
const T_DIV_EQUAL = 57462
const T_CONCAT_EQUAL = 57463
const T_MOD_EQUAL = 57464
const T_AND_EQUAL = 57465
const T_OR_EQUAL = 57466
const T_XOR_EQUAL = 57467
const T_SL_EQUAL = 57468
const T_SR_EQUAL = 57469
const T_POW_EQUAL = 57470
const T_BOOLEAN_OR = 57471
const T_BOOLEAN_AND = 57472
const T_IS_EQUAL = 57473
const T_IS_NOT_EQUAL = 57474
const T_IS_IDENTICAL = 57475
const T_IS_NOT_IDENTICAL = 57476
const T_IS_SMALLER_OR_EQUAL = 57477
const T_IS_GREATER_OR_EQUAL = 57478
const T_SL = 57479
const T_SR = 57480
const T_POW = 57481

var yyToknames = [...]string{
	"$end",
	"error",
	"$unk",
	"T_INCLUDE",
	"T_INCLUDE_ONCE",
	"T_EXIT",
	"T_IF",
	"T_LNUMBER",
	"T_DNUMBER",
	"T_STRING",
	"T_STRING_VARNAME",
	"T_VARIABLE",
	"T_NUM_STRING",
	"T_INLINE_HTML",
	"T_CHARACTER",
	"T_BAD_CHARACTER",
	"T_ENCAPSED_AND_WHITESPACE",
	"T_CONSTANT_ENCAPSED_STRING",
	"T_ECHO",
	"T_DO",
	"T_WHILE",
	"T_ENDWHILE",
	"T_FOR",
	"T_ENDFOR",
	"T_FOREACH",
	"T_ENDFOREACH",
	"T_DECLARE",
	"T_ENDDECLARE",
	"T_AS",
	"T_SWITCH",
	"T_ENDSWITCH",
	"T_CASE",
	"T_DEFAULT",
	"T_BREAK",
	"T_CONTINUE",
	"T_GOTO",
	"T_FUNCTION",
	"T_CONST",
	"T_RETURN",
	"T_TRY",
	"T_CATCH",
	"T_FINALLY",
	"T_THROW",
	"T_USE",
	"T_INSTEADOF",
	"T_GLOBAL",
	"T_VAR",
	"T_UNSET",
	"T_ISSET",
	"T_EMPTY",
	"T_HALT_COMPILER",
	"T_CLASS",
	"T_TRAIT",
	"T_INTERFACE",
	"T_EXTENDS",
	"T_IMPLEMENTS",
	"T_OBJECT_OPERATOR",
	"T_DOUBLE_ARROW",
	"T_LIST",
	"T_ARRAY",
	"T_CALLABLE",
	"T_CLASS_C",
	"T_TRAIT_C",
	"T_METHOD_C",
	"T_FUNC_C",
	"T_LINE",
	"T_FILE",
	"T_COMMENT",
	"T_DOC_COMMENT",
	"T_OPEN_TAG",
	"T_OPEN_TAG_WITH_ECHO",
	"T_CLOSE_TAG",
	"T_WHITESPACE",
	"T_START_HEREDOC",
	"T_END_HEREDOC",
	"T_DOLLAR_OPEN_CURLY_BRACES",
	"T_CURLY_OPEN",
	"T_PAAMAYIM_NEKUDOTAYIM",
	"T_NAMESPACE",
	"T_NS_C",
	"T_DIR",
	"T_NS_SEPARATOR",
	"T_ELLIPSIS",
	"T_EVAL",
	"T_REQUIRE",
	"T_REQUIRE_ONCE",
	"T_LOGICAL_OR",
	"T_LOGICAL_XOR",
	"T_LOGICAL_AND",
	"T_INSTANCEOF",
	"T_NEW",
	"T_CLONE",
	"T_ELSEIF",
	"T_ELSE",
	"T_ENDIF",
	"T_PRINT",
	"T_YIELD",
	"T_STATIC",
	"T_ABSTRACT",
	"T_FINAL",
	"T_PRIVATE",
	"T_PROTECTED",
	"T_PUBLIC",
	"T_INC",
	"T_DEC",
	"T_YIELD_FROM",
	"T_INT_CAST",
	"T_DOUBLE_CAST",
	"T_STRING_CAST",
	"T_ARRAY_CAST",
	"T_OBJECT_CAST",
	"T_BOOL_CAST",
	"T_UNSET_CAST",
	"T_COALESCE",
	"T_SPACESHIP",
	"T_NOELSE",
	"'\"'",
	"'`'",
	"'{'",
	"'}'",
	"';'",
	"':'",
	"'('",
	"')'",
	"'['",
	"']'",
	"'?'",
	"'&'",
	"'-'",
	"'+'",
	"'!'",
	"'~'",
	"'@'",
	"'$'",
	"','",
	"'='",
	"T_PLUS_EQUAL",
	"T_MINUS_EQUAL",
	"T_MUL_EQUAL",
	"T_DIV_EQUAL",
	"T_CONCAT_EQUAL",
	"T_MOD_EQUAL",
	"T_AND_EQUAL",
	"T_OR_EQUAL",
	"T_XOR_EQUAL",
	"T_SL_EQUAL",
	"T_SR_EQUAL",
	"T_POW_EQUAL",
	"T_BOOLEAN_OR",
	"T_BOOLEAN_AND",
	"'|'",
	"'^'",
	"T_IS_EQUAL",
	"T_IS_NOT_EQUAL",
	"T_IS_IDENTICAL",
	"T_IS_NOT_IDENTICAL",
	"'<'",
	"T_IS_SMALLER_OR_EQUAL",
	"'>'",
	"T_IS_GREATER_OR_EQUAL",
	"T_SL",
	"T_SR",
	"'.'",
	"'*'",
	"'/'",
	"'%'",
	"T_POW",
}
var yyStatenames = [...]string{}

const yyEofCode = 1
const yyErrCode = 2
const yyInitialStackSize = 16

//line php5/php5.y:1560

//line yacctab:1
var yyExca = [...]int{
	-1, 1,
	1, -1,
	-2, 0,
	-1, 50,
	104, 495,
	105, 495,
	-2, 493,
	-1, 99,
	125, 517,
	-2, 521,
	-1, 101,
	78, 390,
	123, 373,
	-2, 471,
	-1, 113,
	78, 515,
	123, 511,
	-2, 522,
	-1, 153,
	104, 495,
	105, 495,
	-2, 493,
	-1, 203,
	121, 356,
	124, 356,
	-2, 490,
	-1, 204,
	104, 495,
	105, 495,
	121, 357,
	124, 357,
	-2, 493,
	-1, 227,
	123, 373,
	-2, 390,
	-1, 270,
	78, 515,
	-2, 522,
	-1, 296,
	78, 392,
	123, 377,
	-2, 473,
	-1, 300,
	123, 512,
	-2, 523,
	-1, 309,
	78, 391,
	123, 375,
	-2, 472,
	-1, 366,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 317,
	-1, 367,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 318,
	-1, 368,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 319,
	-1, 369,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 320,
	-1, 370,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 321,
	-1, 371,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 322,
	-1, 372,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 323,
	-1, 373,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 324,
	-1, 380,
	104, 495,
	105, 495,
	-2, 493,
	-1, 411,
	123, 377,
	-2, 392,
	-1, 441,
	104, 495,
	105, 495,
	124, 582,
	135, 582,
	-2, 493,
	-1, 442,
	124, 583,
	135, 583,
	-2, 490,
	-1, 443,
	104, 495,
	105, 495,
	-2, 493,
	-1, 465,
	123, 381,
	-2, 513,
	-1, 466,
	123, 537,
	-2, 584,
	-1, 474,
	123, 385,
	-2, 514,
	-1, 475,
	123, 537,
	-2, 585,
	-1, 498,
	78, 390,
	-2, 429,
	-1, 543,
	124, 174,
	-2, 179,
	-1, 551,
	121, 358,
	124, 358,
	-2, 490,
	-1, 552,
	104, 495,
	105, 495,
	121, 359,
	124, 359,
	-2, 493,
	-1, 558,
	123, 375,
	-2, 391,
	-1, 560,
	57, 266,
	125, 266,
	-2, 265,
	-1, 596,
	124, 188,
	135, 188,
	-2, 490,
	-1, 597,
	104, 495,
	105, 495,
	124, 189,
	135, 189,
	-2, 493,
	-1, 648,
	78, 392,
	-2, 431,
	-1, 674,
	124, 174,
	-2, 179,
	-1, 685,
	124, 174,
	-2, 179,
	-1, 711,
	123, 506,
	-2, 510,
	-1, 750,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 457,
	-1, 751,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 458,
	-1, 752,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 459,
	-1, 753,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 460,
	-1, 754,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 461,
	-1, 755,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 462,
	-1, 756,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 463,
	-1, 757,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 464,
	-1, 760,
	78, 391,
	-2, 430,
	-1, 809,
	57, 261,
	-2, 263,
	-1, 871,
	37, 235,
	-2, 232,
	-1, 937,
	123, 506,
	-2, 510,
	-1, 1013,
	29, 223,
	-2, 4,
	-1, 1042,
	124, 174,
	-2, 179,
	-1, 1046,
	121, 227,
	-2, 229,
}

const yyPrivate = 57344

const yyLast = 6418

var yyAct = [...]int{

	101, 136, 1070, 494, 686, 692, 1007, 875, 985, 122,
	130, 812, 816, 406, 568, 113, 199, 60, 810, 859,
	784, 329, 803, 841, 146, 114, 572, 38, 688, 849,
	4, 117, 43, 595, 440, 137, 698, 668, 407, 142,
	453, 650, 97, 263, 378, 419, 317, 313, 571, 157,
	129, 2, 161, 257, 288, 227, 227, 152, 25, 178,
	620, 456, 620, 42, 622, 621, 972, 559, 971, 120,
	1041, 200, 1001, 998, 203, 168, 170, 169, 191, 191,
	266, 466, 970, 120, 475, 1000, 120, 999, 1053, 250,
	968, 963, 927, 855, 620, 270, 630, 631, 632, 623,
	625, 626, 624, 296, 624, 271, 928, 191, 994, 843,
	842, 701, 573, 683, 673, 192, 172, 176, 175, 995,
	988, 240, 269, 467, 976, 309, 493, 191, 314, 318,
	300, 556, 321, 623, 625, 626, 624, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 178, 327, 884, 720,
	227, 346, 681, 334, 323, 804, 176, 175, 798, 556,
	721, 328, 161, 682, 578, 308, 468, 555, 345, 633,
	634, 177, 179, 180, 178, 579, 764, 519, 556, 454,
	468, 119, 266, 468, 227, 120, 487, 240, 181, 182,
	174, 177, 179, 180, 178, 119, 1020, 270, 119, 120,
	488, 961, 975, 973, 535, 936, 620, 271, 646, 628,
	622, 621, 227, 340, 620, 536, 158, 381, 622, 621,
	411, 895, 814, 762, 269, 374, 719, 813, 605, 590,
	637, 636, 627, 629, 640, 641, 638, 639, 642, 644,
	643, 645, 630, 631, 632, 623, 625, 626, 624, 580,
	584, 227, 632, 623, 625, 626, 624, 583, 562, 435,
	483, 208, 209, 210, 211, 213, 214, 215, 216, 217,
	218, 219, 220, 212, 484, 561, 347, 437, 343, 338,
	310, 125, 227, 120, 980, 1077, 452, 132, 893, 421,
	348, 191, 344, 339, 311, 811, 442, 444, 240, 423,
	424, 133, 130, 469, 427, 892, 486, 301, 469, 125,
	490, 120, 1021, 470, 498, 885, 446, 962, 470, 465,
	566, 119, 450, 38, 474, 424, 423, 423, 458, 424,
	176, 175, 451, 299, 471, 459, 464, 498, 159, 298,
	527, 473, 713, 292, 286, 280, 514, 191, 712, 479,
	228, 253, 482, 229, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 232,
	252, 1073, 426, 1057, 1039, 541, 982, 915, 228, 523,
	546, 229, 912, 858, 227, 545, 176, 175, 847, 830,
	554, 797, 722, 585, 581, 947, 416, 232, 461, 414,
	305, 558, 1042, 138, 923, 119, 476, 462, 125, 125,
	120, 120, 857, 852, 551, 843, 842, 376, 469, 469,
	174, 177, 179, 180, 178, 575, 685, 674, 470, 470,
	649, 557, 543, 119, 465, 474, 382, 469, 287, 469,
	125, 125, 120, 120, 469, 521, 337, 470, 522, 470,
	277, 464, 473, 570, 470, 574, 274, 787, 409, 273,
	577, 208, 209, 210, 211, 213, 214, 215, 216, 217,
	218, 219, 220, 212, 249, 314, 604, 228, 228, 318,
	229, 229, 294, 221, 498, 596, 194, 619, 193, 141,
	121, 648, 326, 498, 38, 591, 232, 232, 134, 1059,
	498, 498, 498, 498, 498, 1049, 103, 661, 1029, 228,
	267, 594, 229, 268, 1063, 1028, 1062, 979, 955, 307,
	1079, 306, 612, 910, 906, 615, 786, 227, 232, 232,
	845, 839, 119, 119, 546, 838, 677, 663, 671, 696,
	669, 546, 518, 478, 385, 266, 699, 227, 336, 341,
	670, 863, 1056, 155, 776, 777, 776, 777, 1081, 1067,
	270, 230, 230, 990, 119, 119, 600, 1064, 620, 1038,
	271, 678, 622, 621, 125, 1026, 1016, 993, 227, 992,
	227, 714, 469, 890, 611, 702, 264, 269, 700, 227,
	258, 684, 470, 567, 324, 425, 951, 922, 570, 90,
	642, 644, 643, 645, 630, 631, 632, 623, 625, 626,
	624, 498, 498, 498, 498, 498, 498, 498, 498, 498,
	498, 498, 498, 498, 498, 498, 498, 498, 498, 498,
	498, 498, 498, 498, 498, 498, 498, 498, 760, 717,
	498, 718, 844, 422, 775, 921, 124, 800, 697, 304,
	723, 383, 873, 945, 259, 260, 771, 125, 874, 223,
	224, 872, 904, 905, 498, 546, 230, 781, 294, 782,
	227, 227, 256, 772, 498, 125, 546, 793, 773, 617,
	796, 761, 763, 123, 614, 546, 802, 834, 835, 492,
	699, 788, 695, 489, 227, 447, 799, 778, 264, 780,
	230, 125, 790, 125, 725, 726, 647, 807, 125, 125,
	728, 729, 879, 880, 881, 878, 877, 876, 1013, 434,
	410, 801, 124, 116, 1032, 850, 547, 258, 230, 548,
	127, 128, 294, 485, 925, 320, 654, 294, 442, 438,
	823, 433, 294, 653, 596, 826, 294, 319, 820, 498,
	413, 690, 691, 412, 302, 498, 498, 879, 880, 881,
	878, 877, 876, 873, 281, 285, 297, 230, 258, 874,
	547, 448, 872, 548, 61, 131, 813, 227, 231, 231,
	315, 131, 207, 854, 942, 436, 294, 547, 294, 546,
	548, 259, 260, 262, 694, 546, 53, 550, 230, 258,
	882, 284, 258, 272, 425, 389, 766, 425, 853, 258,
	206, 1030, 887, 864, 283, 860, 227, 861, 889, 469,
	498, 919, 883, 879, 880, 881, 878, 877, 876, 470,
	508, 448, 259, 260, 258, 570, 1071, 238, 258, 282,
	795, 227, 901, 255, 44, 865, 498, 888, 767, 917,
	162, 225, 233, 508, 908, 1037, 902, 911, 846, 776,
	777, 913, 449, 259, 260, 546, 259, 260, 1031, 930,
	933, 538, 284, 259, 260, 44, 916, 898, 779, 776,
	777, 1055, 837, 231, 517, 929, 707, 1076, 709, 708,
	1040, 498, 1022, 938, 1019, 935, 996, 965, 259, 260,
	230, 950, 259, 260, 924, 227, 525, 1054, 1047, 1002,
	966, 546, 946, 958, 959, 272, 957, 231, 953, 948,
	931, 934, 894, 496, 125, 792, 731, 730, 939, 940,
	618, 616, 613, 564, 715, 540, 967, 887, 491, 981,
	974, 983, 460, 984, 386, 231, 496, 977, 469, 322,
	202, 201, 198, 989, 498, 135, 439, 997, 470, 498,
	706, 546, 1003, 546, 570, 978, 1004, 563, 1012, 289,
	703, 569, 293, 986, 98, 986, 115, 819, 817, 1017,
	818, 937, 1018, 891, 231, 711, 431, 78, 651, 89,
	100, 498, 498, 505, 1023, 1024, 497, 546, 941, 897,
	508, 822, 1012, 1027, 576, 265, 1033, 303, 608, 508,
	607, 168, 170, 169, 191, 231, 508, 508, 508, 508,
	508, 546, 602, 601, 463, 481, 1044, 295, 1048, 1046,
	99, 960, 498, 546, 88, 1051, 1035, 1052, 526, 387,
	254, 75, 74, 230, 546, 73, 251, 248, 1060, 1058,
	815, 192, 172, 176, 175, 1065, 63, 534, 783, 375,
	560, 264, 1072, 230, 546, 352, 351, 350, 349, 1074,
	805, 1080, 432, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 705, 496, 230, 704, 230, 886, 808, 809,
	667, 330, 496, 871, 1045, 230, 1011, 1043, 1010, 496,
	496, 496, 496, 496, 1009, 1008, 1006, 231, 1005, 969,
	932, 1061, 1025, 870, 869, 868, 964, 508, 508, 508,
	508, 508, 508, 508, 508, 508, 508, 508, 508, 508,
	508, 508, 508, 508, 508, 508, 508, 508, 508, 508,
	508, 508, 508, 508, 926, 867, 508, 866, 593, 689,
	687, 1014, 944, 909, 949, 495, 914, 620, 549, 646,
	628, 622, 621, 390, 40, 693, 544, 388, 39, 542,
	508, 862, 14, 13, 1078, 1075, 230, 230, 1069, 956,
	508, 637, 636, 627, 629, 640, 641, 638, 639, 642,
	644, 643, 645, 630, 631, 632, 623, 625, 626, 624,
	230, 1068, 1066, 1050, 991, 920, 918, 856, 794, 196,
	496, 496, 496, 496, 496, 496, 496, 496, 496, 496,
	496, 496, 496, 496, 496, 496, 496, 496, 496, 496,
	496, 496, 496, 496, 496, 496, 496, 789, 539, 496,
	195, 954, 680, 952, 679, 377, 163, 160, 156, 520,
	231, 332, 1034, 1015, 907, 508, 666, 665, 140, 662,
	516, 508, 508, 496, 139, 903, 836, 770, 272, 515,
	231, 833, 769, 496, 660, 325, 11, 10, 6, 5,
	1, 316, 312, 230, 126, 118, 503, 3, 0, 0,
	0, 0, 0, 0, 50, 0, 0, 0, 0, 0,
	0, 231, 0, 231, 170, 169, 191, 0, 0, 0,
	0, 0, 231, 0, 0, 0, 0, 0, 0, 153,
	0, 0, 230, 0, 0, 0, 508, 0, 0, 900,
	0, 0, 0, 0, 0, 0, 204, 0, 0, 0,
	0, 0, 0, 192, 172, 176, 175, 230, 496, 226,
	226, 0, 508, 0, 496, 496, 0, 0, 635, 633,
	634, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 231, 231, 0, 620, 508, 646, 628,
	622, 621, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 230, 0, 0, 0, 0, 0, 231, 0, 496,
	637, 636, 627, 629, 640, 641, 638, 639, 642, 644,
	643, 645, 630, 631, 632, 623, 625, 626, 624, 620,
	0, 0, 628, 622, 621, 496, 0, 0, 0, 0,
	0, 0, 0, 0, 342, 0, 0, 0, 0, 0,
	508, 0, 30, 0, 0, 508, 629, 640, 641, 638,
	639, 642, 644, 643, 645, 630, 631, 632, 623, 625,
	626, 624, 0, 0, 0, 144, 150, 154, 379, 380,
	496, 164, 0, 0, 0, 0, 0, 508, 508, 197,
	231, 0, 0, 191, 205, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 222, 408, 0, 0, 234,
	235, 236, 237, 0, 0, 239, 0, 241, 242, 243,
	244, 245, 246, 247, 0, 0, 0, 0, 508, 231,
	261, 0, 176, 175, 0, 275, 276, 0, 278, 279,
	0, 0, 0, 496, 0, 430, 0, 0, 496, 290,
	0, 0, 0, 0, 231, 0, 0, 0, 441, 443,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 0, 537, 0, 620, 0, 457, 628, 622, 621,
	496, 496, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 239, 0, 0, 331, 0, 0, 0, 637, 636,
	627, 629, 640, 641, 638, 639, 642, 644, 643, 645,
	630, 631, 632, 623, 625, 626, 624, 0, 231, 0,
	0, 496, 0, 353, 354, 355, 356, 357, 358, 359,
	360, 361, 362, 363, 364, 365, 366, 367, 368, 369,
	370, 371, 372, 373, 0, 0, 0, 154, 652, 0,
	0, 0, 0, 0, 0, 655, 656, 657, 658, 659,
	0, 392, 394, 395, 396, 397, 398, 399, 400, 401,
	402, 403, 404, 405, 0, 0, 552, 0, 553, 208,
	209, 210, 211, 213, 214, 215, 216, 217, 218, 219,
	220, 212, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 239, 0, 418, 420, 420, 0, 0, 0,
	0, 0, 428, 208, 209, 210, 211, 213, 214, 215,
	216, 217, 218, 219, 220, 212, 154, 154, 0, 0,
	445, 0, 0, 420, 0, 0, 0, 0, 0, 420,
	290, 0, 0, 0, 0, 420, 0, 597, 0, 0,
	0, 420, 472, 0, 0, 0, 0, 477, 0, 0,
	0, 0, 0, 0, 0, 0, 732, 733, 734, 735,
	736, 737, 738, 739, 740, 741, 742, 743, 744, 745,
	746, 747, 748, 749, 750, 751, 752, 753, 754, 755,
	756, 757, 759, 0, 524, 652, 0, 0, 0, 0,
	0, 528, 529, 530, 531, 532, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 379, 168, 170, 169, 191, 0, 0, 533, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 408, 0, 0, 154, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 896, 0, 0, 0, 0,
	0, 0, 192, 172, 176, 175, 0, 0, 0, 0,
	0, 0, 457, 0, 457, 0, 635, 633, 634, 0,
	0, 0, 0, 457, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 0, 828, 0, 0, 586, 588, 0,
	831, 832, 420, 768, 620, 154, 646, 628, 622, 621,
	0, 603, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 637, 636,
	627, 629, 640, 641, 638, 639, 642, 644, 643, 645,
	630, 631, 632, 623, 625, 626, 624, 0, 0, 0,
	0, 635, 633, 634, 785, 785, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 899, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 676, 408, 0,
	0, 0, 0, 0, 0, 0, 829, 0, 0, 620,
	441, 646, 628, 622, 621, 0, 597, 0, 0, 0,
	0, 0, 0, 0, 0, 635, 633, 634, 0, 710,
	0, 0, 0, 637, 636, 627, 629, 640, 641, 638,
	639, 642, 644, 643, 645, 630, 631, 632, 623, 625,
	626, 624, 0, 0, 0, 0, 943, 0, 0, 0,
	0, 0, 724, 620, 827, 646, 628, 622, 621, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 851, 0, 0, 0, 0, 0, 637, 636, 627,
	629, 640, 641, 638, 639, 642, 644, 643, 645, 630,
	631, 632, 623, 625, 626, 624, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	457, 0, 0, 0, 0, 168, 170, 169, 191, 331,
	774, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 785, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 727, 0,
	0, 0, 0, 0, 806, 192, 172, 176, 175, 0,
	0, 0, 0, 0, 0, 420, 821, 0, 154, 824,
	0, 0, 0, 0, 154, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 0, 0, 0, 408,
	0, 0, 0, 0, 0, 0, 0, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 0, 32, 840,
	33, 0, 0, 21, 0, 0, 848, 22, 23, 37,
	44, 15, 24, 35, 0, 0, 36, 9, 0, 26,
	0, 31, 80, 81, 7, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 420, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 8, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 610, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 420, 0,
	0, 0, 0, 0, 0, 420, 420, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	331, 94, 28, 19, 18, 0, 20, 0, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 15, 24, 35, 0, 0, 36, 9, 0, 26,
	0, 31, 80, 81, 7, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 8, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 480, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 15, 24, 35, 0, 0, 36, 9, 0,
	26, 0, 31, 80, 81, 7, 45, 47, 49, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 8, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 46, 48, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 0, 34, 0, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 0, 34, 1036, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 0, 34, 987, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 0, 34, 791,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 0, 24, 35, 0,
	0, 36, 0, 0, 26, 0, 31, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 0, 34,
	664, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 0, 20, 0, 32, 0, 33, 0, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 0, 24, 35,
	0, 0, 36, 0, 0, 26, 0, 31, 80, 81,
	0, 0, 0, 0, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 765,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 635, 633,
	634, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 716, 0, 0, 91, 76, 16, 0,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 0, 0, 620, 0, 646, 628,
	622, 621, 168, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	637, 636, 627, 629, 640, 641, 638, 639, 642, 644,
	643, 645, 630, 631, 632, 623, 625, 626, 624, 0,
	0, 0, 192, 172, 176, 175, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 675, 0, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 672,
	0, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	0, 0, 0, 0, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 609, 0, 0,
	0, 0, 0, 0, 192, 172, 176, 175, 0, 0,
	0, 0, 168, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 606, 0, 0, 0, 0,
	0, 0, 192, 172, 176, 175, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 582, 0, 0, 192, 172, 176, 175,
	0, 0, 0, 0, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 565, 0, 0,
	0, 0, 0, 0, 192, 172, 176, 175, 0, 0,
	0, 0, 0, 0, 0, 0, 455, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 192, 172, 176, 175, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 391, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 415, 0, 0, 192,
	172, 176, 175, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	0, 0, 0, 192, 172, 176, 175, 0, 0, 0,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 384, 0, 0, 0, 0, 0,
	192, 172, 176, 175, 0, 0, 0, 168, 170, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 335, 0, 0, 0, 0, 0, 192, 172, 176,
	175, 0, 0, 0, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 333, 0,
	0, 0, 0, 0, 192, 172, 176, 175, 0, 0,
	0, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 165, 0, 0, 0, 0,
	0, 192, 172, 176, 175, 635, 633, 634, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 0, 620, 0, 646, 628, 622, 621, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 637, 636, 627,
	629, 640, 641, 638, 639, 642, 644, 643, 645, 630,
	631, 632, 623, 625, 626, 624, 0, 0, 0, 192,
	172, 176, 175, 0, 634, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	620, 0, 646, 628, 622, 621, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 637, 636, 627, 629, 640, 641,
	638, 639, 642, 644, 643, 645, 630, 631, 632, 623,
	625, 626, 624, 0, 192, 172, 176, 175, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 192, 172, 176, 175, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 0, 172, 176, 175,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 620, 0, 0, 628, 622, 621, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 636, 627, 629,
	640, 641, 638, 639, 642, 644, 643, 645, 630, 631,
	632, 623, 625, 626, 624, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 172, 176, 175, 0, 0, 0, 0,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 599,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 620, 91, 76, 628, 622, 621, 0, 62,
	592, 96, 0, 0, 598, 57, 56, 58, 59, 72,
	119, 0, 0, 0, 0, 0, 0, 0, 627, 629,
	640, 641, 638, 639, 642, 644, 643, 645, 630, 631,
	632, 623, 625, 626, 624, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 191, 0, 0,
	148, 112, 108, 102, 599, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 145, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 172, 176, 175, 91, 76,
	0, 0, 0, 0, 62, 0, 96, 0, 0, 598,
	57, 56, 58, 59, 72, 119, 0, 0, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 145, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	0, 0, 0, 620, 62, 0, 96, 622, 621, 825,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 0,
	104, 105, 125, 87, 120, 0, 0, 0, 0, 0,
	94, 640, 641, 638, 639, 642, 644, 643, 645, 630,
	631, 632, 623, 625, 626, 624, 0, 0, 0, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 0, 0,
	589, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 191,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	145, 147, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 172, 176, 175,
	91, 76, 0, 0, 0, 0, 62, 0, 96, 0,
	0, 587, 57, 56, 58, 59, 72, 119, 0, 0,
	0, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	145, 147, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 0, 0, 0, 0, 62, 0, 96, 0,
	0, 291, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 0, 104, 105, 125, 87, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 191, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 0, 0, 0, 0, 62, 417, 96,
	172, 176, 175, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 145, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 0,
	96, 0, 0, 393, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 145, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 151, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 145, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 149, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 145, 147, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 0, 0, 143,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 0, 104, 105, 125,
	87, 120, 0, 0, 0, 0, 0, 94, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 44, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 80, 81,
	0, 0, 0, 0, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 145, 147, 0, 0,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 620, 91, 76, 628, 622,
	621, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 640, 641, 638, 639, 642, 644, 643,
	645, 630, 631, 632, 623, 625, 626, 624, 82, 83,
	71, 0, 104, 105, 125, 429, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 145, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 0, 0, 0, 0, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 104, 105,
	125, 77, 41, 147, 0, 0, 0, 0, 506, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	501, 0, 504, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 507, 0, 0, 0, 0, 499,
	112, 108, 500, 104, 105, 125, 0, 0, 0, 0,
	0, 0, 0, 506, 0, 0, 0, 0, 232, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 758, 513, 0, 502, 0, 0, 0, 512,
	511, 509, 510, 0, 0, 501, 0, 504, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 507,
	0, 0, 0, 0, 499, 112, 108, 500, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 232, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 513, 0,
	502, 0, 0, 0, 512, 511, 509, 510,
}
var yyPact = [...]int{

	-1000, -1000, 2504, -1000, -1000, -1000, -1000, 377, 574, 703,
	176, -1000, 386, -1000, -1000, 955, -1000, 290, -1000, -1000,
	376, 290, 5708, 5577, 5446, 442, 214, 848, 5839, -1000,
	3854, 375, 373, -1000, -1000, -1000, 5839, 952, -57, 951,
	950, 5839, -1000, -1000, -1000, -1000, 768, -1000, 740, -1000,
	1607, 370, 5839, 565, 281, 281, 5839, 5839, 5839, 5839,
	-1000, -1000, 6125, -1000, 5839, 5839, 5839, 5839, 5839, 5839,
	5839, 361, -1000, -1000, 255, 236, 836, 5839, 746, 441,
	346, 343, 5839, 5839, 337, 5839, 5839, -1000, 230, -1000,
	-1000, 832, 807, -1000, 229, 325, 5053, -1000, 228, -1000,
	-1000, 596, 924, 698, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 224, 183, -1000, 686, -1000, -1000, 540,
	-1000, 286, 410, -1000, 924, -1000, 169, 708, 675, -1000,
	716, 924, -1000, 949, -1000, 28, 484, 380, 6125, 290,
	3159, 5839, -1000, -1000, 3807, -1000, -57, 817, 650, -1000,
	3760, -1000, 437, 335, 3942, -1000, 168, -1000, -1000, 440,
	167, -57, 25, 165, 3942, -1000, -1000, -1000, -1000, -1000,
	5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839,
	5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839,
	5839, 441, 305, 281, 5839, 323, 542, 3713, 433, 944,
	-1000, 760, -1000, -1000, 1607, 3666, -1000, -1000, 5315, 5839,
	5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839, 5839,
	5839, 409, -1000, -1000, -1000, -1000, -1000, 596, 648, 924,
	685, 682, -1000, -1000, -108, -108, -11, -108, 285, 3622,
	282, -108, -108, -108, -108, -108, -108, -108, -1000, 5184,
	-1000, 5839, 5839, 5839, 535, 725, 800, -1000, 257, 5994,
	281, 4068, -1000, -1000, 673, -1000, 596, 647, 924, 738,
	224, 183, 671, 5839, 5839, 3942, 3942, 5839, 3942, 3942,
	5839, 588, 725, 766, -1000, 797, 5839, 5053, 170, 54,
	3578, 281, 5839, 220, 942, 294, 596, 71, 5839, 5839,
	224, 540, 74, 294, 5839, 432, -1000, -1000, 2373, 596,
	-1000, 709, 149, -1000, 714, 924, 75, -1000, 674, 924,
	938, 670, -10, 6285, -1000, 3159, -1000, -1000, 873, 431,
	52, 3942, 336, -1000, -1000, -1000, -1000, -1000, -1000, 214,
	-1000, 5839, -1000, -1000, 904, -1000, 6285, -1000, 5839, 5839,
	5839, 5839, 5839, 4027, 4889, 211, 5182, 17, 17, 17,
	-11, -108, -11, -11, 267, 267, 1433, 1433, 1433, 1433,
	37, 37, 37, 37, -1000, 5839, -1000, 90, -1000, -1000,
	1573, 852, 935, -1000, -1000, -1000, -1000, 319, -1000, 657,
	752, 5839, 4068, 309, 4068, 4068, 4068, 4068, 4068, 4068,
	4068, 4068, 4068, 4068, 4068, 4068, 53, -1000, -1000, 318,
	924, 596, 57, 57, -1000, -1000, -1000, -1000, -108, 159,
	3942, 142, -1000, -1000, -1000, -1000, -1000, 933, 3497, 205,
	483, 57, 294, 197, 924, 596, -1000, 224, 197, 50,
	-1000, 1607, -1000, 135, 280, 3449, 141, -1000, -1000, -1000,
	134, 279, -1000, -1000, 4903, 4772, -1000, -1000, 113, 5839,
	-1000, -1000, 4336, 294, -1000, -1000, -1000, -1000, 5839, 224,
	183, 112, 3405, -1000, -1000, -1000, -1000, 3357, -1000, 2233,
	-1000, 294, -1000, -1000, 708, 932, 665, -1000, 675, 931,
	660, -1000, 930, 6285, -1000, 3898, -1000, -1000, 596, 634,
	924, 317, 6285, -1000, -1000, -1000, -1000, 736, 668, 6285,
	6285, 6285, 6285, 6285, -1000, -1000, 3028, -1000, -1000, -1000,
	-1000, 429, 427, -1000, 3309, -22, 314, -1000, 3942, 4205,
	4477, 1236, 4068, 3261, 5839, 425, 281, -1000, -1000, 38,
	-23, 481, 313, 701, 748, -1000, 596, 620, 924, 539,
	657, -1000, 1607, -1000, 441, -25, 409, -1000, 596, -1000,
	-1000, -1000, -1000, 886, -1000, -1000, 5839, -1000, -1000, 233,
	-1000, -1000, -1000, -1000, -1000, 596, 57, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, 3215, 281, 3942, 281,
	-1000, 110, -1000, 35, 278, -1000, -1000, 1607, 281, 5839,
	-1000, 294, 294, 2058, 224, -1000, -1000, 294, 294, -1000,
	-1000, -1000, -1000, -1000, 927, -1000, -1000, 926, -1000, -1000,
	6285, 6285, 6285, 6285, 6285, 6285, 6285, 6285, 6285, 6285,
	6285, 6285, 6285, 6285, 6285, 6285, 6285, 6285, 6285, 6285,
	6285, 6285, 6285, 6285, 6285, 6285, 6210, 924, 596, 6285,
	107, 51, 3171, 706, 806, -63, -63, -31, -31, 1819,
	-1000, -1000, -1000, -1000, -1000, 290, 5839, 5839, 534, -1000,
	857, -1000, -1000, 6285, 701, -1000, 4109, -1000, -1000, 408,
	408, 2897, 925, 6285, 809, 701, 277, 33, -1000, -57,
	-1000, -1000, -1000, 538, 657, 924, 596, -1000, 30, -1000,
	-1000, 5839, -1000, 409, -1000, 180, 106, -1000, -1000, -1000,
	934, -1000, 5839, 5839, -1000, 5839, 4641, -1000, -1000, -1000,
	-1000, 4491, -1000, -1000, 3942, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, 1958, -31, -31, -63, -63, -63, -63, 1334,
	4638, 5830, 99, 99, -31, 3985, 1052, 91, 4327, 4127,
	453, 453, 453, 453, -65, -65, -65, -65, 6285, 1904,
	596, 275, -1000, -1000, 6285, 6285, -1000, -1000, -1000, 604,
	-1000, 870, 424, 420, 3942, -1000, 5839, 304, 532, 419,
	837, -1000, 274, 5839, 677, -1000, 281, 300, 677, -1000,
	-1000, -1000, -43, -1000, -1000, 299, 269, 781, 701, 478,
	-1000, 30, 596, 735, 657, 294, 4068, 34, -1000, 200,
	729, 5839, -1000, 57, -1000, 473, -1000, 190, 173, 294,
	105, 1765, -1000, -1000, 3942, 281, -1000, -1000, 1479, 6285,
	-1000, 1291, 3898, -1000, 290, 3159, 579, 413, -1000, -1000,
	-12, -1000, -1000, -1000, -1000, -1000, 412, 781, 4109, 268,
	408, -1000, -1000, 263, 858, 6285, 789, -1000, 536, 488,
	291, -1000, 902, -1000, 624, -1000, -1000, -1000, -29, -1000,
	817, 669, -1000, 920, 657, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, 5839, 729, -1000, 89, -1000,
	-1000, 729, 5839, 5839, -1000, -1000, -1000, 737, -1000, 1479,
	6285, -1000, -1000, 568, 290, 283, -1000, 5839, -1000, -1000,
	-1000, 487, -1000, -1000, 409, -1000, 407, -1000, -1000, -1000,
	657, -1000, -1000, 199, -45, -1000, 895, -1000, 910, -57,
	-1000, -46, -53, -1000, 87, 729, -1000, -1000, -1000, 86,
	-2, -1000, 57, 3898, 3159, 406, 172, -1000, 262, -1000,
	-1000, -1000, 2766, -4, 2766, -1000, 454, -1000, 469, 467,
	-16, -1000, 894, 6285, -48, -51, -64, 909, 6285, -1000,
	657, -1000, 718, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, 466, -1000, -1000, -1000, -1000, -1000,
	-1000, 892, -1000, -1000, -1000, 194, -1000, -1000, -1000, 890,
	6285, 6285, -1000, -1000, -1000, 465, 718, -1000, 404, 397,
	776, 849, 656, -1000, -1000, 2635, -1000, 839, 459, 260,
	-1000, 888, -66, -1000, -1000, 289, -1000, -1000, -1000, -1000,
	657, 669, 908, -1000, -1000, -1000, -1000, 394, -1000, -1000,
	-1000, 6285, 701, -47, -1000, 907, -1000, -1000, 867, -1000,
	443, -1000, 259, 657, -1000, 388, -1000, 405, -1000, -1000,
	457, -1000, -1000, -1000, -1000, 449, 805, -1000, -1000, 805,
	-1000, 258, -1000, 657, -1000, 885, 171, -1000, 411, -1000,
	448, -1000,
}
var yyPgo = [...]int{

	0, 1307, 50, 47, 46, 609, 1306, 1305, 15, 516,
	733, 51, 0, 1304, 1302, 1301, 1300, 30, 1299, 1298,
	1297, 3, 1, 1297, 1296, 17, 1295, 1294, 1292, 1291,
	1289, 1287, 1286, 1285, 1284, 1280, 1279, 1278, 1277, 21,
	1276, 1274, 1273, 1272, 1271, 1269, 1482, 32, 1314, 58,
	1268, 1267, 1266, 1265, 1264, 20, 29, 1263, 8, 1262,
	1261, 1260, 1258, 1257, 1229, 1228, 1227, 1226, 1225, 5,
	1224, 1223, 1222, 1221, 1199, 1198, 2, 1195, 1194, 44,
	1193, 1192, 16, 1191, 24, 1189, 4, 1188, 1187, 1186,
	1185, 22, 1184, 1183, 1178, 36, 1176, 13, 37, 23,
	1174, 1173, 1172, 1171, 1170, 28, 1169, 112, 1168, 33,
	61, 49, 63, 1167, 1165, 1164, 1136, 1135, 1134, 1133,
	1132, 1131, 1130, 1129, 1128, 1126, 6, 1125, 1124, 1118,
	1117, 1116, 1114, 7, 1113, 1111, 1110, 18, 11, 1109,
	45, 1108, 1107, 1105, 1102, 784, 43, 1082, 26, 1080,
	806, 1078, 1077, 1076, 1075, 1070, 1069, 1068, 1067, 1066,
	1057, 1056, 1055, 1052, 1051, 1050, 1049, 19, 1048, 1044,
	54, 1041, 1040, 1037, 1035, 1034, 48, 1033, 31, 1032,
	1020, 1018, 1017, 1015, 42, 1014, 14, 1011, 1009, 1008,
	682, 1175, 1006, 41, 1003, 1000, 999, 998, 40, 997,
	996, 995, 12, 993, 991, 990, 988, 987, 25, 986,
	984, 982, 981, 38, 980, 979, 53, 977, 970, 966,
	34, 944,
}
var yyR1 = [...]int{

	0, 16, 11, 11, 12, 12, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 13, 13, 2,
	2, 2, 2, 14, 14, 3, 3, 3, 3, 15,
	15, 4, 4, 4, 4, 20, 20, 22, 22, 23,
	23, 23, 23, 17, 17, 24, 26, 27, 24, 30,
	31, 24, 34, 35, 24, 37, 38, 24, 40, 41,
	42, 24, 44, 24, 24, 24, 24, 24, 24, 24,
	24, 24, 24, 24, 24, 24, 24, 24, 54, 57,
	24, 59, 60, 24, 61, 24, 24, 64, 66, 24,
	24, 24, 65, 68, 70, 71, 72, 65, 67, 74,
	67, 73, 73, 75, 75, 77, 78, 76, 53, 53,
	79, 18, 19, 82, 82, 83, 83, 85, 80, 89,
	81, 93, 81, 87, 87, 87, 87, 88, 88, 92,
	94, 94, 90, 90, 95, 95, 56, 56, 55, 55,
	96, 55, 43, 43, 58, 58, 63, 63, 62, 62,
	45, 45, 45, 45, 98, 100, 98, 101, 98, 99,
	99, 36, 36, 28, 102, 28, 32, 103, 32, 29,
	29, 33, 33, 86, 86, 104, 104, 105, 105, 106,
	106, 106, 106, 107, 107, 107, 108, 108, 109, 109,
	109, 109, 50, 50, 111, 111, 111, 51, 51, 51,
	51, 91, 91, 115, 113, 113, 113, 120, 113, 118,
	122, 122, 123, 123, 124, 124, 125, 125, 126, 126,
	127, 130, 130, 131, 131, 129, 128, 128, 132, 132,
	121, 121, 114, 114, 119, 119, 134, 134, 133, 133,
	133, 133, 133, 133, 116, 116, 116, 116, 117, 117,
	52, 52, 39, 39, 136, 135, 135, 137, 137, 139,
	139, 142, 141, 141, 141, 143, 144, 143, 147, 145,
	47, 47, 47, 149, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 47,
	47, 47, 151, 47, 152, 47, 153, 47, 154, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 155, 47,
	156, 157, 47, 158, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 161, 47, 47, 47, 47, 47,
	47, 47, 166, 47, 168, 47, 49, 49, 49, 49,
	163, 163, 163, 163, 164, 164, 84, 167, 167, 171,
	171, 171, 171, 173, 172, 174, 172, 175, 172, 177,
	172, 179, 172, 180, 172, 181, 172, 182, 172, 9,
	9, 9, 9, 69, 69, 69, 146, 146, 185, 187,
	183, 183, 188, 188, 189, 160, 160, 160, 165, 165,
	165, 148, 148, 5, 5, 5, 5, 5, 5, 5,
	5, 5, 5, 5, 5, 6, 21, 191, 191, 191,
	191, 191, 191, 191, 191, 191, 191, 194, 194, 194,
	194, 194, 194, 194, 194, 194, 194, 194, 194, 194,
	194, 194, 194, 194, 194, 194, 194, 194, 194, 194,
	194, 194, 194, 194, 194, 194, 194, 194, 194, 194,
	169, 169, 169, 169, 162, 162, 162, 162, 162, 162,
	162, 193, 193, 198, 198, 197, 197, 197, 197, 46,
	46, 25, 25, 112, 110, 150, 200, 201, 48, 48,
	203, 203, 204, 138, 205, 205, 207, 206, 202, 202,
	202, 178, 178, 209, 209, 10, 210, 211, 210, 199,
	199, 199, 184, 184, 184, 8, 8, 8, 7, 7,
	140, 140, 186, 186, 212, 212, 212, 176, 176, 208,
	208, 97, 97, 213, 214, 213, 213, 170, 170, 215,
	215, 215, 215, 215, 215, 215, 215, 190, 190, 190,
	190, 216, 217, 216, 216, 216, 216, 216, 218, 218,
	218, 159, 159, 159, 159, 159, 159, 159, 159, 219,
	221, 219, 220, 220, 195, 195, 192, 196,
}
var yyR2 = [...]int{

	0, 1, 2, 0, 1, 3, 1, 1, 1, 4,
	3, 5, 4, 3, 4, 4, 2, 3, 1, 1,
	3, 2, 4, 3, 1, 1, 3, 2, 4, 3,
	1, 1, 3, 2, 4, 5, 4, 1, 0, 1,
	1, 1, 4, 1, 2, 3, 0, 0, 7, 0,
	0, 10, 0, 0, 5, 0, 0, 7, 0, 0,
	0, 12, 0, 4, 2, 3, 2, 3, 2, 3,
	3, 2, 3, 3, 3, 1, 2, 5, 0, 0,
	10, 0, 0, 10, 0, 6, 1, 0, 0, 8,
	3, 3, 0, 0, 0, 0, 0, 13, 0, 0,
	5, 1, 0, 1, 2, 0, 0, 10, 1, 3,
	1, 1, 1, 0, 1, 0, 1, 0, 10, 0,
	8, 0, 7, 1, 2, 1, 2, 0, 2, 1,
	0, 2, 0, 2, 1, 3, 0, 2, 1, 2,
	0, 5, 1, 4, 1, 4, 1, 4, 3, 5,
	3, 4, 4, 5, 0, 0, 6, 0, 5, 1,
	1, 1, 4, 0, 0, 5, 0, 0, 6, 0,
	2, 0, 3, 1, 0, 1, 3, 4, 6, 0,
	1, 1, 1, 2, 3, 3, 1, 3, 1, 1,
	2, 2, 3, 1, 1, 2, 4, 3, 5, 1,
	3, 2, 0, 0, 4, 2, 1, 0, 9, 3,
	1, 3, 1, 3, 0, 1, 1, 2, 2, 2,
	3, 1, 3, 1, 1, 3, 4, 3, 0, 1,
	1, 3, 1, 1, 0, 1, 1, 2, 1, 1,
	1, 1, 1, 1, 3, 5, 1, 3, 5, 4,
	3, 1, 0, 1, 0, 4, 1, 2, 1, 4,
	3, 0, 3, 1, 1, 0, 0, 2, 0, 4,
	6, 3, 4, 0, 7, 2, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 2, 2,
	2, 2, 0, 4, 0, 4, 0, 4, 0, 4,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 2, 2, 2, 2, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 1, 1, 0, 5,
	0, 0, 7, 0, 5, 1, 2, 2, 2, 2,
	2, 2, 2, 2, 0, 3, 1, 1, 1, 3,
	2, 1, 0, 10, 0, 11, 2, 2, 4, 4,
	4, 4, 4, 4, 4, 3, 1, 0, 4, 3,
	4, 1, 2, 0, 3, 0, 5, 0, 4, 0,
	5, 0, 5, 0, 5, 0, 5, 0, 3, 1,
	1, 3, 2, 1, 3, 2, 1, 1, 0, 0,
	6, 1, 2, 0, 2, 0, 2, 1, 0, 1,
	1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 3, 2, 3, 1, 1, 1, 1,
	3, 2, 4, 3, 1, 1, 1, 4, 3, 3,
	3, 3, 3, 3, 2, 2, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 4, 5, 2, 2, 3,
	1, 1, 3, 2, 1, 1, 1, 1, 3, 3,
	1, 0, 2, 0, 1, 5, 3, 3, 1, 1,
	1, 3, 3, 1, 1, 1, 0, 0, 7, 1,
	2, 0, 0, 4, 4, 4, 0, 2, 1, 1,
	0, 1, 2, 3, 3, 1, 4, 0, 5, 1,
	1, 1, 1, 2, 1, 4, 4, 1, 1, 4,
	0, 1, 1, 1, 4, 4, 1, 1, 3, 1,
	2, 3, 1, 1, 0, 5, 0, 0, 2, 5,
	3, 3, 1, 6, 4, 4, 2, 2, 2, 1,
	2, 1, 0, 5, 3, 3, 6, 3, 1, 1,
	1, 4, 4, 4, 2, 2, 4, 2, 2, 1,
	0, 4, 1, 1, 3, 3, 3, 3,
}
var yyChk = [...]int{

	-1000, -16, -11, -1, -17, -18, -19, 51, 79, 44,
	-20, -24, 10, -80, -81, 38, 119, 7, 21, 20,
	23, 30, 34, 35, 39, -49, 46, 98, 19, 14,
	-46, 48, 25, 27, 121, 40, 43, 36, -84, -87,
	-92, 97, -112, -47, 37, 52, 99, 53, 100, 54,
	-48, 59, 92, -150, 104, 105, 130, 129, 131, 132,
	-25, -145, 123, -159, 107, 108, 109, 110, 111, 112,
	113, 6, 133, -162, -163, -164, 118, 96, -199, 91,
	49, 50, 4, 5, 84, 85, 86, 11, -169, -196,
	-5, 117, 74, 62, 18, 60, 125, -184, -210, -172,
	-195, -12, 82, -9, 8, 9, 66, 67, 81, 63,
	64, 65, 80, -8, -208, -209, -10, -178, -7, 134,
	12, 123, -12, 119, 82, 10, -13, 37, 38, -2,
	-12, 82, 121, 135, 122, 10, -22, -25, 123, -34,
	-37, 123, -25, 121, -46, 97, -84, 98, 79, 121,
	-46, 121, -47, -48, -46, 121, -50, -111, 12, 134,
	-51, -84, 12, -52, -46, 121, 149, 150, 87, 89,
	88, 151, 128, 152, 163, 130, 129, 164, 167, 165,
	166, 161, 162, 155, 156, 153, 154, 157, 158, 159,
	160, 90, 127, 123, 123, -61, -64, -46, 10, -82,
	128, 10, 10, -47, -48, -46, 52, 52, 136, 137,
	138, 139, 148, 140, 141, 142, 143, 144, 145, 146,
	147, 123, -46, 104, 105, -150, -48, -12, 79, 82,
	-9, -10, 98, -150, -46, -46, -46, -46, -145, -46,
	-49, -46, -46, -46, -46, -46, -46, -46, -160, 123,
	-25, -161, 125, 125, -165, 17, -190, -216, 12, 76,
	77, -46, 57, -146, -9, -183, -12, 79, 82, -184,
	-8, -208, -10, 123, 123, -46, -46, 123, -46, -46,
	125, -190, 17, 17, 75, -190, 125, 123, -170, -215,
	-46, 128, 125, -211, 82, -173, -12, 78, 125, 119,
	-8, 134, 78, -182, 119, 124, 121, 119, -11, -12,
	121, 135, -14, -3, -12, 82, -15, -4, -12, 82,
	29, -12, 10, 136, 120, -26, 122, -25, -17, -39,
	-135, -46, -44, 121, -82, 121, 121, 121, 121, 135,
	-112, 119, -48, 121, 135, -82, 136, 121, 135, -151,
	-152, -153, -154, -46, -46, -46, -46, -46, -46, -46,
	-46, -46, -46, -46, -46, -46, -46, -46, -46, -46,
	-46, -46, -46, -46, -146, -156, 122, -53, -79, -48,
	-48, -47, 123, 119, 121, 121, 10, -166, -88, 55,
	-93, 58, -46, 128, -46, -46, -46, -46, -46, -46,
	-46, -46, -46, -46, -46, -46, -97, -213, -48, 59,
	82, -12, 78, 78, 124, 124, 124, 124, -46, -140,
	-46, -140, 118, -216, -216, 17, 125, 57, -46, 11,
	-48, -200, -147, 78, 82, -12, 57, -8, 78, -219,
	-220, -48, -47, -48, -47, -46, -140, 117, 75, 75,
	-140, -170, 126, -198, 135, 58, -110, -48, -140, 125,
	10, -107, 123, -175, -176, -178, 10, 52, 119, -8,
	-208, -140, -46, -176, -178, 10, -107, -46, 121, -11,
	120, -174, -2, 121, 135, 29, -12, 121, 135, 29,
	-12, 10, 29, 136, -21, -191, -5, -192, -12, 79,
	82, 60, 125, -6, 62, -194, 18, 74, -9, 131,
	132, 130, 129, 123, -17, -30, -35, 21, 121, 135,
	-45, 119, 122, -111, -46, 12, -168, -21, -46, -46,
	-46, -46, -46, -46, -158, 124, 135, 29, 29, -62,
	10, -22, -85, 123, -89, -69, -12, 79, 82, -94,
	55, -47, -48, -48, 91, 124, 135, 123, -12, 10,
	-155, 126, 126, -217, 10, 120, 125, 120, -186, -212,
	-178, -176, -148, -107, -178, -12, -185, -178, 124, 135,
	124, 124, 124, 126, 126, 124, -46, 128, -46, 128,
	126, -140, 124, -108, -49, -109, -47, -48, 128, 83,
	-107, -177, -179, -46, -8, 126, 120, -180, -181, 120,
	120, -107, -3, 10, 29, -4, 10, 29, 10, -21,
	125, 130, 129, 164, 167, 165, 166, 151, 128, 152,
	161, 162, 163, 88, 89, 87, 150, 149, 155, 156,
	153, 154, 157, 159, 158, 160, 127, 82, -12, 123,
	-193, -197, -191, 17, 78, -191, -191, -191, -191, -191,
	-27, -22, -36, -17, 122, -38, -40, -136, -98, 121,
	-98, 121, 120, 136, 123, 122, -46, 121, -79, -54,
	-59, 124, 135, 136, 120, 123, -86, -104, -105, -106,
	60, 61, -69, -90, 56, 82, -12, 119, -95, -69,
	-146, 136, -213, -214, -143, -144, -218, 10, 13, 12,
	-46, -201, 125, 119, -186, -221, 58, -110, -110, 126,
	124, 135, 124, -110, -46, -107, -107, 120, -107, -107,
	10, 10, -191, -191, -191, -191, -191, -191, -191, -191,
	-191, -191, -191, -191, -191, -191, -191, -191, -191, -191,
	-191, -191, -191, -191, -191, -191, -191, -191, 122, -191,
	-12, -193, 126, -198, 135, 58, 10, 52, 124, -28,
	-31, -22, -25, -39, -46, 120, 32, 33, -98, 31,
	-98, -21, -86, -157, -55, -48, 128, 59, -55, -63,
	-17, 122, 10, -21, -65, 41, -86, 124, 135, -82,
	119, -95, -12, -91, 135, -149, -46, -97, -141, -139,
	-137, 125, -138, 57, 126, 126, -202, -206, -205, -207,
	-140, -46, -187, -220, -46, 128, -109, 126, -191, 122,
	124, -191, -191, -29, 93, 94, -32, 22, 121, 121,
	-46, -99, 122, 121, 120, 121, 31, 124, -46, -56,
	58, -48, 123, -56, -22, 136, -66, 123, 124, -167,
	44, -105, -83, 83, -91, 120, -113, -114, -117, -118,
	-119, -134, 47, 38, 44, -133, 103, 102, 101, 98,
	99, 100, -69, -148, 124, 125, -142, -138, -140, -186,
	120, -203, 125, 125, -107, 126, 120, -188, -110, -191,
	58, -25, -17, -33, 93, 94, 121, -41, -99, -101,
	121, -167, 124, -55, -96, 124, 28, -21, -67, 42,
	-68, 119, 119, 123, 12, 120, -115, 121, 135, -84,
	-133, 10, -122, -69, -140, -137, 126, -204, -138, -140,
	-140, -189, 57, -191, -102, 95, -25, 122, -39, -100,
	-22, 119, -57, -97, -60, 121, -74, -69, -22, -22,
	-171, 12, 128, 136, -116, 12, 10, -82, 136, -123,
	135, 121, 119, 126, -202, 126, 126, -186, -17, 121,
	122, -22, 124, -22, -22, -58, -17, 122, 124, -58,
	119, -70, 120, 120, 124, 135, 12, -21, 121, 135,
	136, 136, 10, -21, -69, -124, -125, -126, -127, -128,
	-129, -131, -69, 10, -103, -42, 120, -22, -22, 12,
	12, 128, 12, -21, -21, -120, 120, -126, 121, 121,
	45, 29, 78, -22, -43, -17, 122, 26, 120, 124,
	12, 136, 123, -130, -69, -132, -133, 10, -22, 121,
	-71, -21, -86, 135, 10, 24, 119, 124, -69, 121,
	-22, -121, 121, 119, 120, -22, -72, 120, -73, -75,
	-76, 41, -76, 123, -69, -77, 12, 124, -78, 119,
	-22, 120,
}
var yyDef = [...]int{

	3, -2, 1, 2, 6, 7, 8, 0, 0, 0,
	0, 43, 4, 111, 112, 0, 38, 0, 52, 55,
	0, 0, 0, 0, 0, 0, 0, 389, 0, 75,
	0, 0, 0, 84, 86, 87, 0, 0, 113, 0,
	0, 351, 489, 490, 366, 123, 0, 125, 0, 129,
	-2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	326, 327, 0, 335, 0, 0, 0, 0, 0, 0,
	0, 405, 344, 346, 347, 348, 408, 0, 499, 0,
	0, 0, 0, 0, 0, 0, 0, 474, 475, 476,
	477, 0, 0, 480, 415, 0, 547, 519, 520, -2,
	470, -2, 0, 0, 413, 414, 416, 417, 418, 419,
	420, 421, 422, -2, 0, 524, 0, 387, 527, 539,
	528, 0, 0, 3, 0, 4, 0, 0, 0, 18,
	19, 0, 16, 0, 44, 0, 0, 46, 0, 0,
	0, 252, 62, 64, 0, 351, 113, 389, 0, 66,
	0, 68, 490, -2, 0, 71, 0, 193, 194, 0,
	0, 113, 199, 0, 251, 76, 292, 294, 296, 298,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 330, 0, 0, 0, 0, 0, 0, 352,
	114, 127, 121, -2, -2, 0, 124, 126, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 546, 275, 288, 290, 289, 495, -2, 0, 0,
	0, 0, 389, 291, 313, 314, 315, 316, 327, 0,
	0, 336, 337, 338, 339, 340, 341, 342, 343, 0,
	407, 0, 530, 530, 0, 409, 410, 559, 561, 0,
	0, 350, 496, 268, 396, 397, 390, 0, 0, 401,
	-2, 0, 0, 0, 0, 574, 575, 0, 577, 578,
	530, 0, 0, 0, 424, 0, 530, 547, 0, 483,
	552, 0, 530, 0, 0, 0, -2, 0, 530, 0,
	-2, 540, 0, 0, 0, 0, 10, 3, 0, -2,
	13, 0, 0, 24, 25, 0, 0, 30, 31, 0,
	0, 21, 0, 0, 45, 0, 49, 53, 0, 0,
	253, 256, 0, 65, 352, 67, 69, 70, 72, 0,
	195, 0, 493, 73, 0, 354, 0, 74, 0, 0,
	0, 0, 0, 300, 301, 302, 303, 304, 305, 306,
	307, 308, 309, 310, 311, 312, -2, -2, -2, -2,
	-2, -2, -2, -2, 325, 0, 333, 0, 108, 110,
	-2, 490, 0, 38, 90, 91, 117, 0, 119, 0,
	130, 0, 271, 0, 276, 277, 278, 279, 280, 281,
	282, 283, 284, 285, 286, 287, 0, 542, 543, 0,
	0, -2, 0, 0, 328, 491, 492, 406, 345, 0,
	531, 0, 349, 560, 557, 558, 562, 0, 0, 474,
	0, 0, 411, 0, 0, 392, 398, 523, 0, 0,
	579, -2, -2, -2, 490, 0, 0, 478, 423, 479,
	0, 0, 365, 548, 484, 0, 556, 494, 0, 530,
	5, 374, 0, 0, 379, -2, -2, 587, 0, 511,
	0, 0, 0, 383, -2, -2, 388, 0, 9, 0,
	12, 0, 17, 14, 0, 0, 27, 15, 0, 0,
	33, 20, 0, 0, 36, 426, 427, 428, -2, 0,
	0, 0, 481, 434, 435, 436, 415, 0, 0, 0,
	0, 0, 0, 0, 47, 38, 0, 56, 58, 254,
	63, 154, 154, 192, 0, 197, 0, 200, 250, 293,
	295, 297, 299, 0, 0, 0, 0, 78, 81, 0,
	0, 0, 0, -2, 132, 128, 393, 0, 0, 0,
	0, -2, -2, 272, 0, 0, 546, 544, -2, 537,
	-2, 361, 360, 0, 564, 565, 0, 567, 497, 532,
	533, 536, 269, 412, 513, 391, 0, 514, 571, 580,
	572, 573, 576, 363, 362, 364, 550, 0, 551, 0,
	516, 0, 183, 0, 0, 186, -2, -2, 0, 0,
	378, 0, 0, 0, 512, 525, 526, 0, 0, 529,
	11, 376, 23, 26, 0, 29, 32, 0, 22, 35,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, -2, 481,
	0, 483, 488, 0, 0, 444, 445, 467, 468, 0,
	163, 37, 54, 161, 38, 0, 252, 0, 0, 154,
	0, 154, 196, 0, -2, 331, 334, 77, 109, 0,
	0, 0, 0, 0, 92, -2, 0, 173, 175, 113,
	180, 181, 182, 0, 0, 0, 395, 202, 131, 134,
	273, 0, 541, 546, 329, 0, 0, 568, 569, 570,
	0, -2, 530, 0, 399, 0, 0, 554, 555, 518,
	184, 0, 185, 190, 191, 380, 382, 538, 384, 386,
	28, 34, 0, 438, 439, 440, 441, 442, 443, 446,
	447, 448, 449, 450, 451, 452, 453, 454, 455, 456,
	-2, -2, -2, -2, -2, -2, -2, -2, 0, 0,
	-2, 0, 433, 482, 484, 0, 425, 586, 469, 169,
	166, 0, 0, 0, 255, 150, 0, 0, 0, 0,
	0, 198, 0, 0, 136, 138, 0, 0, 136, 85,
	146, 38, 0, 148, 88, 0, 0, 367, 179, 115,
	202, 133, 394, 234, 0, 411, 270, 0, 267, -2,
	264, 530, 258, 0, 563, 0, 501, 508, 509, 0,
	0, 0, 403, 581, 549, 0, 187, 437, 465, 0,
	432, 486, 487, 48, 0, 0, 171, 0, 57, 59,
	0, 157, 159, 160, 151, 152, 0, 367, 332, 0,
	0, 139, 140, 0, 0, 0, 98, 93, 0, 0,
	0, 176, 0, 116, 234, 122, 201, 203, 0, 206,
	0, -2, 233, 0, 0, 236, 238, 239, 240, 241,
	242, 243, 135, 274, 545, 530, 0, 257, 0, 502,
	566, 498, 530, 530, 507, 534, 535, 400, 553, 466,
	0, 164, 170, 0, 0, 0, 162, 252, 155, 38,
	153, 0, 79, 137, 546, 82, 0, 149, 89, 99,
	0, 38, 38, 0, 177, 120, 0, 205, 0, 113,
	237, 0, 0, 210, 0, 262, 260, -2, 500, 0,
	0, 402, 0, 485, 0, 0, 0, 38, 0, 38,
	37, 38, 0, 0, 0, 147, 0, 94, 0, 0,
	0, 371, 0, 0, 0, 246, 0, 0, 0, 209,
	0, 212, 214, 259, 503, 505, 504, 404, 165, 51,
	167, 37, 60, 37, 0, 80, 144, 38, 141, 83,
	38, 0, 118, 353, 368, 0, 372, 178, 204, 0,
	0, 0, 207, 249, 211, 0, 215, 216, 0, 0,
	224, 0, 0, -2, 38, 0, 355, 0, 0, 0,
	369, 0, 244, 247, 248, 0, 213, 217, 218, 219,
	0, 228, 0, 37, 61, 142, 38, 0, 100, 95,
	370, 0, -2, 220, 221, 0, -2, 225, 0, 145,
	0, 245, 0, 0, 226, 0, 38, 0, 222, 143,
	0, 208, 230, 38, 96, 0, 102, 231, 97, 101,
	103, 0, 104, 0, 105, 0, 0, 106, 0, 38,
	0, 107,
}
var yyTok1 = [...]int{

	1, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 131, 117, 3, 134, 166, 128, 3,
	123, 124, 164, 130, 135, 129, 163, 165, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 122, 121,
	157, 136, 159, 127, 133, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 125, 3, 126, 152, 3, 118, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 119, 151, 120, 132,
}
var yyTok2 = [...]int{

	2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
	12, 13, 14, 15, 16, 17, 18, 19, 20, 21,
	22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
	32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
	42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
	52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
	62, 63, 64, 65, 66, 67, 68, 69, 70, 71,
	72, 73, 74, 75, 76, 77, 78, 79, 80, 81,
	82, 83, 84, 85, 86, 87, 88, 89, 90, 91,
	92, 93, 94, 95, 96, 97, 98, 99, 100, 101,
	102, 103, 104, 105, 106, 107, 108, 109, 110, 111,
	112, 113, 114, 115, 116, 137, 138, 139, 140, 141,
	142, 143, 144, 145, 146, 147, 148, 149, 150, 153,
	154, 155, 156, 158, 160, 161, 162, 167,
}
var yyTok3 = [...]int{
	0,
}

var yyErrorMessages = [...]struct {
	state int
	token int
	msg   string
}{}

//line yaccpar:1

/*	parser for yacc output	*/

var (
	yyDebug        = 0
	yyErrorVerbose = false
)

type yyLexer interface {
	Lex(lval *yySymType) int
	Error(s string)
}

type yyParser interface {
	Parse(yyLexer) int
	Lookahead() int
}

type yyParserImpl struct {
	lval  yySymType
	stack [yyInitialStackSize]yySymType
	char  int
}

func (p *yyParserImpl) Lookahead() int {
	return p.char
}

func yyNewParser() yyParser {
	return &yyParserImpl{}
}

const yyFlag = -1000

func yyTokname(c int) string {
	if c >= 1 && c-1 < len(yyToknames) {
		if yyToknames[c-1] != "" {
			return yyToknames[c-1]
		}
	}
	return __yyfmt__.Sprintf("tok-%v", c)
}

func yyStatname(s int) string {
	if s >= 0 && s < len(yyStatenames) {
		if yyStatenames[s] != "" {
			return yyStatenames[s]
		}
	}
	return __yyfmt__.Sprintf("state-%v", s)
}

func yyErrorMessage(state, lookAhead int) string {
	const TOKSTART = 4

	if !yyErrorVerbose {
		return "syntax error"
	}

	for _, e := range yyErrorMessages {
		if e.state == state && e.token == lookAhead {
			return "syntax error: " + e.msg
		}
	}

	res := "syntax error: unexpected " + yyTokname(lookAhead)

	// To match Bison, suggest at most four expected tokens.
	expected := make([]int, 0, 4)

	// Look for shiftable tokens.
	base := yyPact[state]
	for tok := TOKSTART; tok-1 < len(yyToknames); tok++ {
		if n := base + tok; n >= 0 && n < yyLast && yyChk[yyAct[n]] == tok {
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}
	}

	if yyDef[state] == -2 {
		i := 0
		for yyExca[i] != -1 || yyExca[i+1] != state {
			i += 2
		}

		// Look for tokens that we accept or reduce.
		for i += 2; yyExca[i] >= 0; i += 2 {
			tok := yyExca[i]
			if tok < TOKSTART || yyExca[i+1] == 0 {
				continue
			}
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}

		// If the default action is to accept or reduce, give up.
		if yyExca[i+1] != 0 {
			return res
		}
	}

	for i, tok := range expected {
		if i == 0 {
			res += ", expecting "
		} else {
			res += " or "
		}
		res += yyTokname(tok)
	}
	return res
}

func yylex1(lex yyLexer, lval *yySymType) (char, token int) {
	token = 0
	char = lex.Lex(lval)
	if char <= 0 {
		token = yyTok1[0]
		goto out
	}
	if char < len(yyTok1) {
		token = yyTok1[char]
		goto out
	}
	if char >= yyPrivate {
		if char < yyPrivate+len(yyTok2) {
			token = yyTok2[char-yyPrivate]
			goto out
		}
	}
	for i := 0; i < len(yyTok3); i += 2 {
		token = yyTok3[i+0]
		if token == char {
			token = yyTok3[i+1]
			goto out
		}
	}

out:
	if token == 0 {
		token = yyTok2[1] /* unknown char */
	}
	if yyDebug >= 3 {
		__yyfmt__.Printf("lex %s(%d)\n", yyTokname(token), uint(char))
	}
	return char, token
}

func yyParse(yylex yyLexer) int {
	return yyNewParser().Parse(yylex)
}

func (yyrcvr *yyParserImpl) Parse(yylex yyLexer) int {
	var yyn int
	var yyVAL yySymType
	var yyDollar []yySymType
	_ = yyDollar // silence set and not used
	yyS := yyrcvr.stack[:]

	Nerrs := 0   /* number of errors */
	Errflag := 0 /* error recovery flag */
	yystate := 0
	yyrcvr.char = -1
	yytoken := -1 // yyrcvr.char translated into internal numbering
	defer func() {
		// Make sure we report no lookahead when not parsing.
		yystate = -1
		yyrcvr.char = -1
		yytoken = -1
	}()
	yyp := -1
	goto yystack

ret0:
	return 0

ret1:
	return 1

yystack:
	/* put a state and value onto the stack */
	if yyDebug >= 4 {
		__yyfmt__.Printf("char %v in %v\n", yyTokname(yytoken), yyStatname(yystate))
	}

	yyp++
	if yyp >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyS[yyp] = yyVAL
	yyS[yyp].yys = yystate

yynewstate:
	yyn = yyPact[yystate]
	if yyn <= yyFlag {
		goto yydefault /* simple state */
	}
	if yyrcvr.char < 0 {
		yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
	}
	yyn += yytoken
	if yyn < 0 || yyn >= yyLast {
		goto yydefault
	}
	yyn = yyAct[yyn]
	if yyChk[yyn] == yytoken { /* valid shift */
		yyrcvr.char = -1
		yytoken = -1
		yyVAL = yyrcvr.lval
		yystate = yyn
		if Errflag > 0 {
			Errflag--
		}
		goto yystack
	}

yydefault:
	/* default state action */
	yyn = yyDef[yystate]
	if yyn == -2 {
		if yyrcvr.char < 0 {
			yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
		}

		/* look through exception table */
		xi := 0
		for {
			if yyExca[xi+0] == -1 && yyExca[xi+1] == yystate {
				break
			}
			xi += 2
		}
		for xi += 2; ; xi += 2 {
			yyn = yyExca[xi+0]
			if yyn < 0 || yyn == yytoken {
				break
			}
		}
		yyn = yyExca[xi+1]
		if yyn < 0 {
			goto ret0
		}
	}
	if yyn == 0 {
		/* error ... attempt to resume parsing */
		switch Errflag {
		case 0: /* brand new error */
			yylex.Error(yyErrorMessage(yystate, yytoken))
			Nerrs++
			if yyDebug >= 1 {
				__yyfmt__.Printf("%s", yyStatname(yystate))
				__yyfmt__.Printf(" saw %s\n", yyTokname(yytoken))
			}
			fallthrough

		case 1, 2: /* incompletely recovered error ... try again */
			Errflag = 3

			/* find a state where "error" is a legal shift action */
			for yyp >= 0 {
				yyn = yyPact[yyS[yyp].yys] + yyErrCode
				if yyn >= 0 && yyn < yyLast {
					yystate = yyAct[yyn] /* simulate a shift of "error" */
					if yyChk[yystate] == yyErrCode {
						goto yystack
					}
				}

				/* the current p has no shift on "error", pop stack */
				if yyDebug >= 2 {
					__yyfmt__.Printf("error recovery pops state %d\n", yyS[yyp].yys)
				}
				yyp--
			}
			/* there is no state on the stack with an error shift ... abort */
			goto ret1

		case 3: /* no shift yet; clobber input char */
			if yyDebug >= 2 {
				__yyfmt__.Printf("error recovery discards %s\n", yyTokname(yytoken))
			}
			if yytoken == yyEofCode {
				goto ret1
			}
			yyrcvr.char = -1
			yytoken = -1
			goto yynewstate /* try again in the same state */
		}
	}

	/* reduction by production yyn */
	if yyDebug >= 2 {
		__yyfmt__.Printf("reduce %v in:\n\t%v\n", yyn, yyStatname(yystate))
	}

	yynt := yyn
	yypt := yyp
	_ = yypt // guard against "declared and not used"

	yyp -= yyR2[yyn]
	// yyp is now the index of $0. Perform the default action. Iff the
	// reduced production is ε, $1 is possibly out of range.
	if yyp+1 >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyVAL = yyS[yyp+1]

	/* consult goto table to find next state */
	yyn = yyR1[yyn]
	yyg := yyPgo[yyn]
	yyj := yyg + yyS[yyp].yys + 1

	if yyj >= yyLast {
		yystate = yyAct[yyg]
	} else {
		yystate = yyAct[yyj]
		if yyChk[yystate] != -yyn {
			yystate = yyAct[yyg]
		}
	}
	// dummy call; replaced with literal code
	switch yynt {

	case 1:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:203
		{
			rootnode = stmt.NewStmtList(yyDollar[1].list)
		}
	case 2:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:209
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 3:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:210
		{
			yyVAL.list = []node.Node{}
		}
	case 4:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:215
		{
			namePart := name.NewNamePart(yyDollar[1].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{namePart}
			comments.AddComments(namePart, yyDollar[1].token.Comments())
		}
	case 5:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:222
		{
			namePart := name.NewNamePart(yyDollar[3].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.list = append(yyDollar[1].list, namePart)
			comments.AddComments(namePart, yyDollar[3].token.Comments())
		}
	case 6:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:231
		{
			yyVAL.node = nil
		}
	case 7:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:232
		{
			yyVAL.node = nil
		}
	case 8:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:233
		{
			yyVAL.node = nil
		}
	case 9:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:234
		{
			yyVAL.node = stmt.NewHaltCompiler()
		}
	case 10:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:236
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 11:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:246
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, yyDollar[4].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[5].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 12:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:256
		{
			yyVAL.node = stmt.NewNamespace(nil, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 13:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:262
		{
			yyVAL.node = stmt.NewUseList(nil, yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 14:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:268
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 15:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:278
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 16:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:287
		{
			yyVAL.node = nil
		}
	case 17:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:291
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 18:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:292
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 19:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:297
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 20:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:307
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 21:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:320
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 22:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:330
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 23:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:346
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 24:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:350
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 25:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:357
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 26:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:367
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 27:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:380
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 28:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:390
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 29:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:406
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 30:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:410
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 31:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:417
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 32:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:427
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 33:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:440
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 34:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:450
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 35:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:465
		{
		}
	case 36:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:466
		{
		}
	case 37:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:470
		{
		}
	case 42:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:479
		{
		}
	case 43:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:484
		{
		}
	case 44:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:485
		{
		}
	case 46:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 47:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 48:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 49:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 50:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 51:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 52:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:492
		{
		}
	case 53:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:492
		{
		}
	case 54:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:492
		{
		}
	case 55:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 56:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 57:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 58:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:497
		{
		}
	case 59:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:499
		{
		}
	case 60:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:501
		{
		}
	case 61:
		yyDollar = yyS[yypt-12 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 62:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 63:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 64:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:504
		{
		}
	case 65:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 66:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:506
		{
		}
	case 67:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:507
		{
		}
	case 68:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:508
		{
		}
	case 69:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:509
		{
		}
	case 70:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:510
		{
		}
	case 71:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:511
		{
		}
	case 75:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:515
		{
		}
	case 76:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:516
		{
		}
	case 78:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:519
		{
		}
	case 79:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:520
		{
		}
	case 80:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:521
		{
		}
	case 81:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:523
		{
		}
	case 82:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:524
		{
		}
	case 83:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:525
		{
		}
	case 84:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 85:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 87:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:528
		{
		}
	case 88:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:529
		{
		}
	case 89:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:530
		{
		}
	case 90:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:531
		{
		}
	case 91:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:532
		{
		}
	case 92:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:536
		{
		}
	case 93:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:537
		{
		}
	case 94:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:538
		{
		}
	case 95:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:539
		{
		}
	case 96:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:540
		{
		}
	case 97:
		yyDollar = yyS[yypt-13 : yypt+1]
		//line php5/php5.y:541
		{
		}
	case 98:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:544
		{
		}
	case 99:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 100:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 101:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:549
		{
		}
	case 102:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:550
		{
		}
	case 103:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:554
		{
		}
	case 104:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:555
		{
		}
	case 105:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 106:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 107:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 110:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:568
		{
		}
	case 111:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:572
		{
		}
	case 112:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:576
		{
		}
	case 113:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:580
		{
		}
	case 114:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:581
		{
		}
	case 115:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:585
		{
		}
	case 116:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:586
		{
		}
	case 117:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:590
		{
		}
	case 118:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:592
		{
		}
	case 119:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:597
		{
		}
	case 120:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:601
		{
		}
	case 121:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:603
		{
		}
	case 122:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:607
		{
		}
	case 123:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:612
		{
		}
	case 124:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:613
		{
		}
	case 125:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:614
		{
		}
	case 126:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:615
		{
		}
	case 127:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:619
		{
		}
	case 128:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:620
		{
		}
	case 129:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:624
		{
		}
	case 134:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:638
		{
		}
	case 135:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:639
		{
		}
	case 136:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:643
		{
		}
	case 137:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:644
		{
		}
	case 138:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:648
		{
		}
	case 139:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:649
		{
		}
	case 140:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:650
		{
		}
	case 141:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:650
		{
		}
	case 148:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:672
		{
		}
	case 149:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:673
		{
		}
	case 150:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:678
		{
		}
	case 151:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:679
		{
		}
	case 152:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:680
		{
		}
	case 153:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:681
		{
		}
	case 154:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:686
		{
		}
	case 155:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:687
		{
		}
	case 156:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:687
		{
		}
	case 157:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 158:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 164:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:707
		{
		}
	case 165:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:707
		{
		}
	case 167:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:713
		{
		}
	case 168:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:713
		{
		}
	case 177:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:742
		{
		}
	case 178:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:744
		{
		}
	case 179:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:749
		{
		}
	case 180:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:750
		{
		}
	case 181:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:751
		{
		}
	case 182:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:752
		{
		}
	case 183:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:757
		{
		}
	case 184:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:758
		{
		}
	case 185:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:759
		{
		}
	case 188:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:769
		{
		}
	case 189:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:770
		{
		}
	case 190:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:771
		{
		}
	case 191:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:772
		{
		}
	case 192:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:776
		{
		}
	case 193:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:777
		{
		}
	case 194:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:782
		{
		}
	case 195:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:783
		{
		}
	case 196:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:784
		{
		}
	case 197:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:789
		{
		}
	case 198:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:790
		{
		}
	case 199:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:791
		{
		}
	case 200:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:792
		{
		}
	case 203:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:804
		{
		}
	case 207:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:807
		{
		}
	case 208:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line php5/php5.y:809
		{
		}
	case 210:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:817
		{
		}
	case 211:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:818
		{
		}
	case 220:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:842
		{
		}
	case 221:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:846
		{
		}
	case 222:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:847
		{
		}
	case 223:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:851
		{
		}
	case 224:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:852
		{
		}
	case 225:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:856
		{
		}
	case 226:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:860
		{
		}
	case 227:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:861
		{
		}
	case 228:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:865
		{
		}
	case 229:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:866
		{
		}
	case 230:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:870
		{
		}
	case 231:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:871
		{
		}
	case 232:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:875
		{
		}
	case 233:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:876
		{
		}
	case 234:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:880
		{
		}
	case 235:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:881
		{
		}
	case 236:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:885
		{
		}
	case 237:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:886
		{
		}
	case 238:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:890
		{
		}
	case 239:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:891
		{
		}
	case 240:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:892
		{
		}
	case 241:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:893
		{
		}
	case 242:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:894
		{
		}
	case 243:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:895
		{
		}
	case 244:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:899
		{
		}
	case 245:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:900
		{
		}
	case 246:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:901
		{
		}
	case 247:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:902
		{
		}
	case 248:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:906
		{
		}
	case 249:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:907
		{
		}
	case 250:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:911
		{
		}
	case 251:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:912
		{
		}
	case 252:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:917
		{
		}
	case 253:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:918
		{
		}
	case 254:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:922
		{
		}
	case 255:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:922
		{
		}
	case 256:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:923
		{
		}
	case 257:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:927
		{
		}
	case 258:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:928
		{
		}
	case 259:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:932
		{
		}
	case 260:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:933
		{
		}
	case 261:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:937
		{
		}
	case 262:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:937
		{
		}
	case 263:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:938
		{
		}
	case 264:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:939
		{
		}
	case 265:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:943
		{
		}
	case 266:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:944
		{
		}
	case 267:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:945
		{
		}
	case 268:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:949
		{
		}
	case 269:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:949
		{
		}
	case 270:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:953
		{
		}
	case 271:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:954
		{
		}
	case 272:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:955
		{
		}
	case 273:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:956
		{
		}
	case 274:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:956
		{
		}
	case 275:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:957
		{
		}
	case 276:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:958
		{
		}
	case 277:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:959
		{
		}
	case 278:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:960
		{
		}
	case 279:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:961
		{
		}
	case 280:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:962
		{
		}
	case 281:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:963
		{
		}
	case 282:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:964
		{
		}
	case 283:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:965
		{
		}
	case 284:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:966
		{
		}
	case 285:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:967
		{
		}
	case 286:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:968
		{
		}
	case 287:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:969
		{
		}
	case 288:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:970
		{
		}
	case 289:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:971
		{
		}
	case 290:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:972
		{
		}
	case 291:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:973
		{
		}
	case 292:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:974
		{
		}
	case 293:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:974
		{
		}
	case 294:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 295:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 296:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:976
		{
		}
	case 297:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:976
		{
		}
	case 298:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:977
		{
		}
	case 299:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:977
		{
		}
	case 300:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:978
		{
		}
	case 301:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:979
		{
		}
	case 302:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:980
		{
		}
	case 303:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:981
		{
		}
	case 304:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:982
		{
		}
	case 305:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:983
		{
		}
	case 306:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:984
		{
		}
	case 307:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:985
		{
		}
	case 308:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:986
		{
		}
	case 309:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:987
		{
		}
	case 310:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:988
		{
		}
	case 311:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:989
		{
		}
	case 312:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:990
		{
		}
	case 313:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:991
		{
		}
	case 314:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:992
		{
		}
	case 315:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:993
		{
		}
	case 316:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:994
		{
		}
	case 317:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:995
		{
		}
	case 318:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:996
		{
		}
	case 319:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:997
		{
		}
	case 320:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:998
		{
		}
	case 321:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:999
		{
		}
	case 322:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1000
		{
		}
	case 323:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1001
		{
		}
	case 324:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1002
		{
		}
	case 325:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1003
		{
		}
	case 326:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1004
		{
		}
	case 327:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1005
		{
		}
	case 328:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 329:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 330:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1007
		{
		}
	case 331:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1008
		{
		}
	case 332:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1009
		{
		}
	case 333:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1010
		{
		}
	case 334:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1011
		{
		}
	case 335:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1012
		{
		}
	case 336:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1013
		{
		}
	case 337:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1014
		{
		}
	case 338:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1015
		{
		}
	case 339:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1016
		{
		}
	case 340:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1017
		{
		}
	case 341:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1018
		{
		}
	case 342:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1019
		{
		}
	case 343:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1020
		{
		}
	case 344:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 345:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 346:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1022
		{
		}
	case 347:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1023
		{
		}
	case 348:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1024
		{
		}
	case 349:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1025
		{
		}
	case 350:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1026
		{
		}
	case 351:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1027
		{
		}
	case 352:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1028
		{
		}
	case 353:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:1030
		{
		}
	case 354:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1031
		{
		}
	case 355:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:1033
		{
		}
	case 356:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1037
		{
		}
	case 357:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1038
		{
		}
	case 358:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1039
		{
		}
	case 359:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1040
		{
		}
	case 360:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1044
		{
		}
	case 361:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1045
		{
		}
	case 362:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1046
		{
		}
	case 363:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1047
		{
		}
	case 364:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1051
		{
		}
	case 365:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1052
		{
		}
	case 366:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1056
		{
		}
	case 369:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1065
		{
		}
	case 370:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1066
		{
		}
	case 371:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1067
		{
		}
	case 372:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1068
		{
		}
	case 373:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1072
		{
		}
	case 374:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1073
		{
		}
	case 375:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1074
		{
		}
	case 376:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1075
		{
		}
	case 377:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1076
		{
		}
	case 378:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1077
		{
		}
	case 379:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1078
		{
		}
	case 380:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1079
		{
		}
	case 381:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1080
		{
		}
	case 382:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1081
		{
		}
	case 383:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1082
		{
		}
	case 384:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1083
		{
		}
	case 385:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1084
		{
		}
	case 386:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1085
		{
		}
	case 387:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1086
		{
		}
	case 388:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1087
		{
		}
	case 389:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1092
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 390:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1098
		{
			yyVAL.node = name.NewName(yyDollar[1].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 391:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1104
		{
			yyVAL.node = name.NewRelative(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[3].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 392:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1110
		{
			yyVAL.node = name.NewFullyQualified(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 393:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1118
		{
		}
	case 394:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1119
		{
		}
	case 395:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1120
		{
		}
	case 396:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1126
		{
		}
	case 397:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1127
		{
		}
	case 398:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1132
		{
		}
	case 399:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1133
		{
		}
	case 400:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1134
		{
		}
	case 401:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1135
		{
		}
	case 404:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1146
		{
		}
	case 405:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1150
		{
		}
	case 406:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1151
		{
		}
	case 407:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1152
		{
		}
	case 408:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1156
		{
		}
	case 409:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1157
		{
		}
	case 410:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1158
		{
		}
	case 411:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1162
		{
		}
	case 412:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1163
		{
		}
	case 413:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1168
		{
			yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 414:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1174
		{
			yyVAL.node = scalar.NewDnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 415:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1179
		{
			yyVAL.node = nil
		}
	case 416:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1181
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 417:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1187
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 418:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1193
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 419:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1199
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 420:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1205
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 421:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1211
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 422:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1217
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 423:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1222
		{
			yyVAL.node = nil
		}
	case 424:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1223
		{
			yyVAL.node = nil
		}
	case 425:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1228
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 426:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1240
		{
		}
	case 427:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1244
		{
		}
	case 428:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1245
		{
		}
	case 429:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1246
		{
		}
	case 430:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1247
		{
		}
	case 431:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1248
		{
		}
	case 432:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1249
		{
		}
	case 433:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1250
		{
		}
	case 434:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1251
		{
		}
	case 435:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1252
		{
		}
	case 436:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1253
		{
		}
	case 437:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1257
		{
		}
	case 438:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1258
		{
		}
	case 439:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1259
		{
		}
	case 440:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1260
		{
		}
	case 441:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1261
		{
		}
	case 442:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1262
		{
		}
	case 443:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1263
		{
		}
	case 444:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1264
		{
		}
	case 445:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1265
		{
		}
	case 446:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1266
		{
		}
	case 447:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1267
		{
		}
	case 448:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1268
		{
		}
	case 449:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1269
		{
		}
	case 450:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1270
		{
		}
	case 451:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1271
		{
		}
	case 452:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1272
		{
		}
	case 453:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1273
		{
		}
	case 454:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1274
		{
		}
	case 455:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1275
		{
		}
	case 456:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1276
		{
		}
	case 457:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1277
		{
		}
	case 458:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1278
		{
		}
	case 459:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1279
		{
		}
	case 460:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1280
		{
		}
	case 461:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1281
		{
		}
	case 462:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1282
		{
		}
	case 463:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1283
		{
		}
	case 464:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1284
		{
		}
	case 465:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1285
		{
		}
	case 466:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1286
		{
		}
	case 467:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1287
		{
		}
	case 468:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1288
		{
		}
	case 469:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1289
		{
		}
	case 470:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1293
		{
		}
	case 471:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1294
		{
		}
	case 472:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1295
		{
		}
	case 473:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1296
		{
		}
	case 474:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1300
		{
		}
	case 475:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1301
		{
		}
	case 476:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1302
		{
		}
	case 477:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1303
		{
		}
	case 478:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1304
		{
		}
	case 479:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1305
		{
		}
	case 480:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1306
		{
		}
	case 481:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1310
		{
		}
	case 482:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1311
		{
		}
	case 485:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1320
		{
		}
	case 486:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1321
		{
		}
	case 487:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1322
		{
		}
	case 488:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1323
		{
		}
	case 489:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1327
		{
		}
	case 490:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1328
		{
		}
	case 491:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1332
		{
		}
	case 492:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1333
		{
		}
	case 493:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1338
		{
		}
	case 494:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1343
		{
		}
	case 495:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1347
		{
		}
	case 496:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1351
		{
		}
	case 497:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1352
		{
		}
	case 498:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1353
		{
		}
	case 499:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1354
		{
		}
	case 500:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1358
		{
		}
	case 501:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1359
		{
		}
	case 502:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1364
		{
		}
	case 503:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1364
		{
		}
	case 504:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1368
		{
		}
	case 505:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1369
		{
		}
	case 506:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1373
		{
		}
	case 507:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1374
		{
		}
	case 508:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1378
		{
		}
	case 509:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1379
		{
		}
	case 510:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1380
		{
		}
	case 511:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1384
		{
		}
	case 512:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1385
		{
		}
	case 513:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1389
		{
		}
	case 514:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1390
		{
		}
	case 515:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1396
		{
			yyVAL.node = yyDollar[1].node
		}
	case 516:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1402
		{
		}
	case 517:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1403
		{
		}
	case 518:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1404
		{
		}
	case 519:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1408
		{
		}
	case 520:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1409
		{
		}
	case 521:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1410
		{
		}
	case 522:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1415
		{
		}
	case 523:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1416
		{
		}
	case 524:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1417
		{
		}
	case 525:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1421
		{
			yyVAL.node = nil
		}
	case 526:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1422
		{
			yyVAL.node = nil
		}
	case 527:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1423
		{
			yyVAL.node = yyDollar[1].node
		}
	case 528:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1429
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 529:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1439
		{
			yyVAL.node = nil
		}
	case 530:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1445
		{
		}
	case 531:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1446
		{
		}
	case 532:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1451
		{
		}
	case 533:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1452
		{
		}
	case 534:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1456
		{
		}
	case 535:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1457
		{
		}
	case 536:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1458
		{
		}
	case 537:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1462
		{
		}
	case 538:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1463
		{
		}
	case 539:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1467
		{
		}
	case 540:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1468
		{
		}
	case 543:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1478
		{
		}
	case 544:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1479
		{
		}
	case 545:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1479
		{
		}
	case 546:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1480
		{
		}
	case 547:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1485
		{
		}
	case 548:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1486
		{
		}
	case 549:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1490
		{
		}
	case 550:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1491
		{
		}
	case 551:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1492
		{
		}
	case 552:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1493
		{
		}
	case 553:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1494
		{
		}
	case 554:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1495
		{
		}
	case 555:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1496
		{
		}
	case 556:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1497
		{
		}
	case 557:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1501
		{
		}
	case 558:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1502
		{
		}
	case 559:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1503
		{
		}
	case 560:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1504
		{
		}
	case 561:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1510
		{
		}
	case 562:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1511
		{
		}
	case 563:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1511
		{
		}
	case 564:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1512
		{
		}
	case 565:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1513
		{
		}
	case 566:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1514
		{
		}
	case 567:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1515
		{
		}
	case 568:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1520
		{
		}
	case 569:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1521
		{
		}
	case 570:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1522
		{
		}
	case 571:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1527
		{
		}
	case 572:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1528
		{
		}
	case 573:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1529
		{
		}
	case 574:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1530
		{
		}
	case 575:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1531
		{
		}
	case 576:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1532
		{
		}
	case 577:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1533
		{
		}
	case 578:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1534
		{
		}
	case 579:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1538
		{
		}
	case 580:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1539
		{
		}
	case 581:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1539
		{
		}
	case 582:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1543
		{
		}
	case 583:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1544
		{
		}
	case 584:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1548
		{
		}
	case 585:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1549
		{
		}
	case 586:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1553
		{
		}
	case 587:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1557
		{
		}
	}
	goto yystack /* stack new state and value */
}
